Debian Bug report logs - #590568
debian-installer: hd-media boot.img.gz's installer cannot find mini.iso

Package: iso-scan; Maintainer for iso-scan is Debian Install System Team <debian-boot@lists.debian.org>; Source for iso-scan is src:iso-scan.

Reported by: Olivier Berger <olivier.berger@it-sudparis.eu>

Date: Tue, 27 Jul 2010 13:03:02 UTC

Severity: normal

Done: Joey Hess <joeyh@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#590568; Package debian-installer. (Tue, 27 Jul 2010 13:03:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Olivier Berger <olivier.berger@it-sudparis.eu>:
New Bug report received and forwarded. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Tue, 27 Jul 2010 13:03:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Olivier Berger <olivier.berger@it-sudparis.eu>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: debian-installer: hd-media boot.img.gz's installer cannot find mini.iso
Date: Tue, 27 Jul 2010 15:01:38 +0200
Package: debian-installer
Severity: normal

Hi.

I've tried to follow instructions in http://www.debian.org/releases/testing/i386/ch04s03.html.en to create a bootable USB disk.

What I've done is reuse the files from : http://ftp.nl.debian.org/debian/dists/testing/main/installer-i386/current/images/hd-media/boot.img.gz and just use a basic syslinux config :
  default linux
  append initrd=initrd.gz
to get a bootable USB disk of maximum size that indeed will boot an installer.

However, whenever inside the installer, the netinst .iso file cannot be found when it searches the disks to find an installable iso image.

The iso is named mini.iso (just as downloaded from http://ftp.nl.debian.org/debian/dists/testing/main/installer-i386/current/images/netboot/) and sits inside the USB key's first (and only) VFAT partition (which mounts fine from /dev/sdb1 to /hd-media from a shell started inside the installer).

Is there a requirement on a special name for iso image files ?

Thanks in advance


-- System Information:
Debian Release: squeeze/sid
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: i386 (i686)

Kernel: Linux 2.6.32-5-686 (SMP w/2 CPU cores)
Locale: LANG=fr_FR.UTF-8, LC_CTYPE=fr_FR.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#590568; Package debian-installer. (Mon, 13 Sep 2010 21:03:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Miguel Figueiredo <elmig@debianpt.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Mon, 13 Sep 2010 21:03:02 GMT) Full text and rfc822 format available.

Message #10 received at 590568@bugs.debian.org (full text, mbox):

From: Miguel Figueiredo <elmig@debianpt.org>
To: 590568@bugs.debian.org
Subject: iso images
Date: Mon, 13 Sep 2010 21:50:44 +0100
Must be named .iso or .ISO.

In the chapter you point from the manual:

"You can use either a businesscard, a netinst or a full CD image (see
Section 4.1, “Official Debian GNU/Linux CD-ROM Sets”). Be sure to select
one that fits. Note that the “netboot mini.iso” image is not usable for
this purpose."

mini.iso is not suitable for this purpose.

You tried only the mini.iso?

-- 

Melhores cumprimentos/Best regards,

Miguel Figueiredo
http://www.DebianPT.org




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#590568; Package debian-installer. (Sat, 29 Jan 2011 18:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to anataka <debianbug.kapush@antichef.net>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Sat, 29 Jan 2011 18:33:04 GMT) Full text and rfc822 format available.

Message #15 received at 590568@bugs.debian.org (full text, mbox):

From: anataka <debianbug.kapush@antichef.net>
To: Debian Bug Tracking System <590568@bugs.debian.org>
Subject: Re: hd-media boot.img.gz's installer cannot find squeeze RC2 iso file
Date: Sat, 29 Jan 2011 13:30:06 -0500
Package: debian-installer
Severity: normal

I had a similar experience.

I followed instructions from chapter 4.3.2. Manually copying files to the USB
stick of the documentation:
http://www.debian.org/releases/testing/amd64/ch04s03.html.en

I used zcat to copy this boot.img.gz onto my usb stick:
http://ftp.nl.debian.org/debian/dists/testing/main/installer-
amd64/current/images/hd-media/

then I added the amd64 squeeze iso file I got from:
http://cdimage.debian.org/cdimage/squeeze_di_rc2/amd64/iso-cd/debian-squeeze-
di-rc2-amd64-netinst.iso

Then I went through the installation process until the scan for iso step, where
the installer failed to find the iso.
I cringed and flailed my arms for there was no option to manually enter the
location of the iso file, I know where it is and don't want to go through the
hassle of having the installer deep search my 8TB of disk space.

I launched a terminal, confirmed that the iso file was sitting in /hd-media and
cancelled the installation.

Then upon further inspection, I found out I've been using the wrong boot.img.gz
all along, I only thought I had the one linked above but in fact I was using
the i386 one. I had several web pages open and click one thinking i was in
another.

I started over and it worked.

I fixed my own stupidity but still automated scan is nice but imho it could be
useful to offer an option to manually enter the path to the iso.



-- System Information:
Debian Release: 6.0
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.37-0.slh.12-aptosid-amd64 (SMP w/2 CPU cores; PREEMPT)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash




Bug reassigned from package 'debian-installer' to 'iso-scan'. Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. (Sun, 30 Jan 2011 20:06:02 GMT) Full text and rfc822 format available.

Reply sent to Joey Hess <joeyh@debian.org>:
You have taken responsibility. (Sun, 30 Jan 2011 20:15:04 GMT) Full text and rfc822 format available.

Notification sent to Olivier Berger <olivier.berger@it-sudparis.eu>:
Bug acknowledged by developer. (Sun, 30 Jan 2011 20:15:04 GMT) Full text and rfc822 format available.

Message #22 received at 590568-done@bugs.debian.org (full text, mbox):

From: Joey Hess <joeyh@debian.org>
To: anataka <debianbug.kapush@antichef.net>, 590568-done@bugs.debian.org
Subject: Re: Bug#590568: hd-media boot.img.gz's installer cannot find squeeze RC2 iso file
Date: Sun, 30 Jan 2011 16:10:40 -0400
[Message part 1 (text/plain, inline)]
anataka wrote:
> Then upon further inspection, I found out I've been using the wrong boot.img.gz
> all along, I only thought I had the one linked above but in fact I was using
> the i386 one. I had several web pages open and click one thinking i was in
> another.
> 
> I started over and it worked.
> 
> I fixed my own stupidity but still automated scan is nice but imho it could be
> useful to offer an option to manually enter the path to the iso.

I don't think that further complicating the installer with prompts for
paths that most users will not find it easy to manually figure out is
the right approach.

iso-scan already does a 2-pass scan, so unless the user has hidden away the
iso very deep on the disk, they can avoid having it recursively scan
deeply through all their drives.

Anyway, all this is deprecated by hybrid isos that can be written
directly to USB disks to make a bootable image, avoiding every single
pain point that users have encountered with the piggyback iso and
iso-scan. So I expect that iso-scan will soon only be used by users in
highly unusual situations (either users who need to boot the installer
from an existing partition with no removable media at all, or users who
cannot afford a dedicated cheap USB stick).

-- 
see shy jo
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#590568; Package iso-scan. (Mon, 21 Feb 2011 16:45:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jörg Esser <jackfritt@boh.de>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Mon, 21 Feb 2011 16:45:05 GMT) Full text and rfc822 format available.

Message #27 received at 590568@bugs.debian.org (full text, mbox):

From: Jörg Esser <jackfritt@boh.de>
To: 590568@bugs.debian.org
Subject: Re: Bug#590568: hd-media boot.img.gz's installer cannot find squeeze RC2 iso file
Date: Mon, 21 Feb 2011 17:33:13 +0100
I have one usb stick with different iso images from lenny to squeeze and
the installer is not able to scan all iso files for the correct image.
If I give the Lenny ISO the name a.iso it is scanned first. Then I boot 
into squeeze netinst
the squeeze iso isn´t found anymore (named debian-6.0.xxxx.iso). It also 
stops scanning for more iso
images when it finds the lenny ISO.
With other distro´s on this stick I have no problems or can give the iso 
name on the kernel command line.
I boot with grub4dos and usb stick is formatted vfat32:

title 32bit Debian Squeeze Netinst
kernel /debian/squeeze-32bit/vmlinuz auto rw ramdisk_size=24000 
root=/dev/rd/0 locale=de_DE.UTF-8
initrd /debian/squeeze-32bit/initrd.gz


Anyone can help me ?


cu,

Joerg






Message #28 received at 590568-done@bugs.debian.org (full text, mbox):

From: Christian PERRIER <bubulle@debian.org>
To: Jörg Esser <jackfritt@boh.de>, 590568-done@bugs.debian.org
Subject: Re: Bug#590568: hd-media boot.img.gz's installer cannot find squeeze RC2 iso file
Date: Mon, 21 Feb 2011 18:41:05 +0100
[Message part 1 (text/plain, inline)]
Quoting Jörg Esser (jackfritt@boh.de):
> I have one usb stick with different iso images from lenny to squeeze and
> the installer is not able to scan all iso files for the correct image.
> If I give the Lenny ISO the name a.iso it is scanned first. Then I
> boot into squeeze netinst
> the squeeze iso isn´t found anymore (named debian-6.0.xxxx.iso). It
> also stops scanning for more iso
> images when it finds the lenny ISO.
> With other distro´s on this stick I have no problems or can give the
> iso name on the kernel command line.
> I boot with grub4dos and usb stick is formatted vfat32:
> 
> title 32bit Debian Squeeze Netinst
> kernel /debian/squeeze-32bit/vmlinuz auto rw ramdisk_size=24000
> root=/dev/rd/0 locale=de_DE.UTF-8
> initrd /debian/squeeze-32bit/initrd.gz
> 
> 
> Anyone can help me ?


Not really. That requires changes to the iso-scan component. As of
now, as soon as a Debian ISO is found, it is used.

As comments in the code say:
                                # This could be more sophisticated, and try
                                # to deal with multiple Debian ISO's. For
                                # now, once we've got a Debian ISO, any 
                                # Debian ISO, we're done.


Of course, improvements are very welcomed but, as I'm unsure that
anyone is currently planning to work on this, you might be on your own
providing the needed patch.

PS: you sent this to an unrelated bug report where another user was
trying to use a mini.iso image on a USB stick, which is unsupported
(and documented). That bug should indeed be closed already, which we
apparently forgot to do.


[signature.asc (application/pgp-signature, inline)]

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 22 Mar 2011 07:38:38 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 16:03:10 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.